io.vertx.groovy.servicediscovery.types

## Class EventBusService_GroovyStaticExtension

- java.lang.Object
- - io.vertx.groovy.servicediscovery.types.EventBusService_GroovyStaticExtension

-     public class EventBusService_GroovyStaticExtension
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EventBusService_GroovyStaticExtension()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Map<String,Object>` | `createRecord(EventBusService j_receiver, String name, String address, String classname)`
    `static Map<String,Object>` | `createRecord(EventBusService j_receiver, String name, String address, String itf, Map<String,Object> metadata)`
    `static <T> Object` | `getServiceProxy(EventBusService j_receiver, ServiceDiscovery discovery, java.util.function.Function<Map<String,Object>,Boolean> filter, Class<Object> clientClass, Handler<AsyncResult<Object>> resultHandler)`
    `static <T> Object` | `getServiceProxyWithJsonFilter(EventBusService j_receiver, ServiceDiscovery discovery, Map<String,Object> filter, Class<Object> clientClass, Handler<AsyncResult<Object>> resultHandler)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EventBusService_GroovyStaticExtension

          public EventBusService_GroovyStaticExtension()

  - ### Method Detail

    - #### createRecord

          public static Map<String,Object> createRecord(EventBusService j_receiver,
                                                        String name,
                                                        String address,
                                                        String itf,
                                                        Map<String,Object> metadata)

    - #### getServiceProxy

          public static <T> Object getServiceProxy(EventBusService j_receiver,
                                                   ServiceDiscovery discovery,
                                                   java.util.function.Function<Map<String,Object>,Boolean> filter,
                                                   Class<Object> clientClass,
                                                   Handler<AsyncResult<Object>> resultHandler)

    - #### getServiceProxyWithJsonFilter

          public static <T> Object getServiceProxyWithJsonFilter(EventBusService j_receiver,
                                                                 ServiceDiscovery discovery,
                                                                 Map<String,Object> filter,
                                                                 Class<Object> clientClass,
                                                                 Handler<AsyncResult<Object>> resultHandler)

    - #### createRecord

          public static Map<String,Object> createRecord(EventBusService j_receiver,
                                                        String name,
                                                        String address,
                                                        String classname)

Copyright © 2017. All rights reserved.